<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>homework19_optional_sprint_planning</title>
</head>

<body>
  <script>
    'use strict';
    const speedTeam = [2, 2, 2, 2,];
    const listTasks = [8, 8, 8];
    let dateReleaseTxt = '09-29-2022';

    const dateRelease = new Date(dateReleaseTxt);
    let complete = false;
    let result = '';

    function getComlete(arrSpeedTeam, arrListTasks, date) {

      let sumTeamPoint = sumPoint(arrSpeedTeam);
      let sumTasksPoint = sumPoint(arrListTasks);

      let speedTeam_hour = sumTeamPoint / 8; // point per hour
      let fullDayToRelease = dateRelease.getDate() - new Date().getDate();

      // how work day
      let selectDay = new Date();
      let workDayToRelease = fullDayToRelease;
      for (let i = 1; i <= fullDayToRelease; i++) {
        if (selectDay.getDay() === 0 || selectDay.getDay() === 6) {
          workDayToRelease--;
        }
        selectDay.setDate(selectDay.getDate() + 1);
      }

      // result
      let timeToComlete = Math.round(sumTasksPoint / speedTeam_hour) - workDayToRelease * 8;
      if (timeToComlete > 0) {
        complete = false;
        result = `Команде разработчиков придется потратить дополнительно ${parseInt(timeToComlete / 8)} дней и ${Math.round(timeToComlete) % 8} часов после дедлайна, чтобы выполнить все задачи в беклоге`;
      }
      else {
        complete = true;
        result = `Все задачи будут успешно выполнены за ${Math.abs(parseInt(timeToComlete / 8))} дней и ${Math.abs(Math.round(timeToComlete) % 8)} часов до наступления дедлайна!`;
      }

      return result;
    }

    function sumPoint(arr) {
      return arr.reduce((val, item) => (val + item), 0);
    }



    //********************************************
    console.log(getComlete(speedTeam, listTasks, dateRelease))

  </script>
</body>

</html>